Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QDoubleValidator

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QDoubleValidator class reference

### Public Functions

- QDoubleValidator ( QObject * parent, const char * name ) `(obsolete)`
- QDoubleValidator ( double bottom, double top, int decimals, QObject * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QDoubleValidator::QDoubleValidator ( QObject * parent, const char * name )

Constructs a validator object with a parent object and a name that accepts any double.

### QDoubleValidator::QDoubleValidator ( double bottom, double top, int decimals, QObject * parent, const char * name )

Constructs a validator object with a parent object, called name. This validator will accept doubles from bottom to top inclusive, with up to decimals digits after the decimal point.